@mixin make-writing-mode($s) {
    #{$s}tx-mode- {
        &initial{
            writing-mode: initial;
        }
        &tb{
            writing-mode: horizontal-tb;
        }
        &rl{
            writing-mode: vertical-rl;
        }
        &lr{
            writing-mode: vertical-lr;
        }
    }
}